package ink.wgink.module.form.pojo.vos.design;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class FormVO {

    @ApiModelProperty(name = "formCode", value = "表单编码")
    private String formCode;
    @ApiModelProperty(name = "formName", value = "表单名称")
    private String formName;
    @ApiModelProperty(name = "formSummary", value = "表单说明")
    private String formSummary;
    @ApiModelProperty(name = "formType", value = "表单类型")
    private String formType;
    @ApiModelProperty(name = "formStatus", value = "表单状态")
    private String formStatus;
    @ApiModelProperty(name = "formSourceData", value = "表单源代码")
    private String formSourceData;
    @ApiModelProperty(name = "formTableName", value = "表单表名")
    private String formTableName;
    @ApiModelProperty(name = "formVersion", value = "表单版本")
    private Integer formVersion;
    @ApiModelProperty(name = "savePageCode", value = "新增页面代码")
    private String savePageCode;
    @ApiModelProperty(name = "updatePageCode", value = "修改页面代码")
    private String updatePageCode;
    @ApiModelProperty(name = "showPageCode", value = "展示页面代码")
    private String showPageCode;
    @ApiModelProperty(name = "printPageCode", value = "打印页面代码")
    private String printPageCode;
    @ApiModelProperty(name = "appSavePageCode", value = "APP新增页面代码")
    private String appSavePageCode;
    @ApiModelProperty(name = "appUpdatePageCode", value = "APP修改页面代码")
    private String appUpdatePageCode;
    @ApiModelProperty(name = "appShowPageCode", value = "APP展示页面代码")
    private String appShowPageCode;
    @ApiModelProperty(name = "mainTitleTpl", value = "主标题模板")
    private String mainTitleTpl;

    public String getFormCode() {
        return formCode;
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getFormSummary() {
        return formSummary;
    }

    public void setFormSummary(String formSummary) {
        this.formSummary = formSummary;
    }

    public String getFormType() {
        return formType;
    }

    public void setFormType(String formType) {
        this.formType = formType;
    }

    public String getFormStatus() {
        return formStatus;
    }

    public void setFormStatus(String formStatus) {
        this.formStatus = formStatus;
    }

    public String getFormSourceData() {
        return formSourceData;
    }

    public void setFormSourceData(String formSourceData) {
        this.formSourceData = formSourceData;
    }

    public String getFormTableName() {
        return formTableName;
    }

    public void setFormTableName(String formTableName) {
        this.formTableName = formTableName;
    }

    public Integer getFormVersion() {
        return formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getSavePageCode() {
        return savePageCode == null ? "" : savePageCode.trim();
    }

    public void setSavePageCode(String savePageCode) {
        this.savePageCode = savePageCode;
    }

    public String getUpdatePageCode() {
        return updatePageCode == null ? "" : updatePageCode.trim();
    }

    public void setUpdatePageCode(String updatePageCode) {
        this.updatePageCode = updatePageCode;
    }

    public String getShowPageCode() {
        return showPageCode == null ? "" : showPageCode.trim();
    }

    public void setShowPageCode(String showPageCode) {
        this.showPageCode = showPageCode;
    }

    public String getPrintPageCode() {
        return printPageCode == null ? "" : printPageCode.trim();
    }

    public void setPrintPageCode(String printPageCode) {
        this.printPageCode = printPageCode;
    }

    public String getAppSavePageCode() {
        return appSavePageCode == null ? "" : appSavePageCode.trim();
    }

    public void setAppSavePageCode(String appSavePageCode) {
        this.appSavePageCode = appSavePageCode;
    }

    public String getAppUpdatePageCode() {
        return appUpdatePageCode == null ? "" : appUpdatePageCode.trim();
    }

    public void setAppUpdatePageCode(String appUpdatePageCode) {
        this.appUpdatePageCode = appUpdatePageCode;
    }

    public String getAppShowPageCode() {
        return appShowPageCode == null ? "" : appShowPageCode.trim();
    }

    public void setAppShowPageCode(String appShowPageCode) {
        this.appShowPageCode = appShowPageCode;
    }

    public String getMainTitleTpl() {
        return mainTitleTpl == null ? "" : mainTitleTpl.trim();
    }

    public void setMainTitleTpl(String mainTitleTpl) {
        this.mainTitleTpl = mainTitleTpl;
    }
}
